<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";

$text = file(BASEDIR."local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$dostup=trim($udata[7]);
$log_status=(int)$udata[36];
$log_otzyv=trim($udata[48]);
}

if(empty($uz)){$uz=$log;}
$uz=check($uz);
$time=time();

if(!empty($uz) && !eregi("[^a-z0-9-]",$uz)){
$text = file(BASEDIR."local/profil/$uz.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);

if ($udata[5]=="http://") {$udata[5]="";} 

$postsall=$udata[36];
include_once"../template/statuses.php";
echo '<div class=b>';

if($udata[15]=="N"){echo'<img src="../images/img/anonim.gif" alt="">';}
elseif($udata[15]=="M"){echo'<img src="../images/img/security.gif" alt="">';}
else {echo'<img src="../images/img/women.gif" alt="">'; }
 
if($udata[15]=="M" || $udata[15]=="N"){$a='';}else{$a='а';}
 
$statwho='<font color="#FF0000">(Был'.$a.' '.$udata[44].')</font>';
$sublines=file("../local/online.dat"); 
$subcount=count($sublines);
for ($b=0; $b<$subcount; $b++) {$dt=explode("#",$sublines[$b]); if ($uz==$dt[2]) 
{$statwho='<font color="#FF0000">(Сейчас на сайте)</font>';}}
 
 
echo '<b> Анкета '.$uz.' </b> '.$statwho.'<br>'; 
echo '</div>';

if ($udata[46]=="1") {echo '<b><font color="#FF0000">Внимание, аккаунт требует подтверждение регистрации!</font></b><br>';}


if ($udata[37]=="1" && $udata[38]>$time) {echo '<b><font color="#FF0000">Внимание, юзер находится в бане!</font></b><br>';
$time_ban=round($udata[38]-$time);
echo'До окончания бана осталось '.formattime($time_ban).'<br>';
echo 'Причина: '.$udata[39].'<br>';}

if ($udata[43]!=="") {echo'Аватар: <img src="../'.check($udata[43]).'" alt="">.<br>';}

if ($udata[40]==""){echo'Cтатус: <font color="#FF0000"><b>'.check($statuses).'</b></font><br>';}
else{echo'Cтатус: <font color="#FF0000"><b>'.check($udata[40]).'</b></font><br>';}

echo 'Пол: '; 
if($udata[15]=="N"){echo'Не указан<br>';}
elseif($udata[15]=="M"){echo'Мужской <br>';} else {echo'Женский<br>';}

if ($udata[29]!="") {echo'Имя: <b>'.check($udata[29]).'<br></b>';}
if ($udata[65]!="") {echo'Ник: '.check($udata[65]).'<br>';}
if ($udata[2]!="") {echo'Откуда: '.check($udata[2]).'<br>';}
if ($udata[3]!="") {echo'О себе: '.check($udata[3]).' <br>';}
if ($udata[18]!="" && $udata[18]!=".."){echo'Дата рождения: '.check($udata[18]).'<br>';}
if ($udata[16]!="") {echo'Рост: '.(int)$udata[16].' см.<br>';}
if ($udata[17]!="") {echo'Вес: '.(int)$udata[17].' кг.<br>';}
if ($udata[19]!="") {$icq_uin=preg_replace("/[^0-9.]/", "", $udata[19]);  
echo'<img src="http://web.icq.com/whitepages/online?icq='.$icq_uin.'&amp;img=5" alt=""> '; 
echo'ICQ: '.check($udata[19]).' <br>';
}

echo'Всего посeщений: '.(int)$udata[11].'<br>';
echo'Сообщений на форуме: '.(int)$udata[8].'<br>';
echo'Сообщений в гостевой: '.(int)$udata[9].'<br>';
echo'Сообщений в чате: '.(int)$udata[12].'<br>';
echo'Комментариев: '.(int)$udata[33].'<br>';
echo'Баллов: '.(int)$udata[36].' <br>';
echo'Число нарушений: '.(int)$udata[64].' <br>';
echo'Авторитет: '.(int)$udata[49].' (+'.(int)$udata[50].'/-'.(int)$udata[51].')<br>';

if($log!=$uz && $udata[36]>150 && $log_status>150 && $time>$log_otzyv){	
$liness=file(BASEDIR."local/dataraiting/$log.dat");
for ($bs=0; $bs<count($liness); $bs++) { 

if ($uz==check($liness[$bs])) {$user_okar="ok"; break;}}
if($user_okar!="ok"){	
echo'[ <a href="raiting.php?uz='.$uz.'&amp;action=plus&amp;'.SID.'"><img src="../images/img/plus.gif" alt=""><font color="00FF00"> Плюс</font></a> | '; echo'<a href="raiting.php?uz='.$uz.'&amp;action=minus&amp;'.SID.'"><font color="FF0000">Минус</font> <img src="../images/img/minus.gif" alt=""></a> ]<br>';
}}

$usersum="0";
$lines=file(BASEDIR."local/bank.dat"); 
$county=count($lines);
for ($b=0; $b<$county; $b++) {
$dty=explode("|",$lines[$b]); if ($dty[1]==$uz) {$usersum=$dty[2];}} 
$all_sum=$usersum+ $udata[41];



echo'Всего денег: '.moneys($all_sum).' <br>';
echo'На руках: '.moneys($udata[41]).' <br>';
echo'В банке: '.moneys($usersum).' <br>';
if($udata[54]>0){echo'Задолженность по кредиту: '.moneys($udata[54]).' <br>';}

if ($udata[13]!="") {echo'Браузер: '.check($udata[13]).' <br>';}

echo'Рассылка новостей: ';
if ($udata[34]=="1") {echo'Подписан'.$a.'<br>';}else {echo'Не подписан'.$a.'<br>';}
echo'Используемый скин: '.check($udata[20]).'<br>';
if ($udata[6]!="") {echo'Дата регистрации: '.date("j.m.Y",check($udata[6])).'<br>';} 
echo'Последнее посещение: '.check($udata[44]).'<br>'; 

//------------------- Игровой персонаж ------------------------//
if($udata[55]==1){

if(empty($menu)){echo '<img src="../images/img/person.gif" alt=""> <b><a href="anketa.php?uz='.$uz.'&amp;menu=1&amp;'.SID.'">Состояние персонажа</a></b><br>';
}else{
echo '<hr><img src="../images/img/person.gif" alt=""> <b>Состояние персонажа</b><br>';
echo 'Здоровье: <b>'.(int)$udata[56].'</b>%<br>';
echo'<img src="../gallery/grafic.php?rat='.(int)$udata[56].'&amp;imgs=1" alt=""><br>';
echo 'Выносливость: <b>'.(int)$udata[57].'</b>%<br>';
echo'<img src="../gallery/grafic.php?rat='.(int)$udata[57].'&amp;imgs=2&amp;limit='.(int)$udata[59].'" alt=""><br>';
echo 'Сила: <b>'.(int)$udata[58].'</b>%<br>';
echo'<img src="../gallery/grafic.php?rat='.(int)$udata[58].'&amp;imgs=3" alt=""><br>';
}}


if($uz!=$log){
echo '<br><div class=b>';

echo'<img src="../images/img/chat.gif" alt=""> <a href="kontakt.php?action=add&amp;uz='.$uz.'&amp;'.SID.'">Добавить в контакты</a><br>';
echo'<img src="../images/img/mail.gif" alt=""> <a href="privat.php?action=submit&amp;uz='.$uz.'&amp;'.SID.'">Отправить приватное сообщение</a><br>';

echo'<img src="../images/img/many.gif" alt=""> <a href="../games/perevod.php?uz='.$uz.'&amp;'.SID.'">Перечислить денег</a><br>';

if ($udata[5]=="http://") {$udata[5]="";}
if ($udata[5]!="") {echo'<img src="../images/img/homepage.gif" alt=""> <a href="'.check($udata[5]).'">Перейти на сайт '.$uz.'</a><br>';
}


if ($dostup==101 || $dostup==102 || $dostup==103 || $dostup==105){
echo'<img src="../images/img/error.gif" alt=""> <a href="../'.$config_mpanel.'/zaban.php?action=edit&amp;users='.$uz.'&amp;'.SID.'">Бан / Разбан</a><br>';}
if ($dostup==101){
echo'<img src="../images/img/panel.gif" alt=""> <a href="../'.$config_mpanel.'/users.php?action=edit&amp;users='.$uz.'&amp;'.SID.'">Редактировать</a><br>';}

echo '</div>';
}
} else {echo '<img src="../images/img/error.gif" alt=""> Пользователь с данным логином  не зарегистрирован<br>';}
} else {echo '<img src="../images/img/error.gif" alt=""> Произошла ошибка. Пользователь с данным логином не существует<br>';}

echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once "../themes/$config_themes/foot.php";
?>